<?php
	### Klassen laden ###
	require 'tmp/sql.php';
	require 'classes/mysql.php';
	
	$sql = new MySQL(); if ($sql->debug) error_reporting (E_ALL|E_STRICT); else error_reporting (0);
	
	require 'plugins/phpQuery.php';
	require 'classes/settings.php';
	require 'classes/security.php';
	require 'classes/functions.php';
	require 'classes/template.php';
	require 'classes/player.php';
	require 'classes/stats.php';
	
	$func     = new Functions();
	$secure   = new Security();
	$settings = new Settings();
	$tpl      = new Templates();
	
	$playerid = (int)$_GET['pid'];
	$path     = ($settings->get("cms") == "standalone") ? "" : $settings->get("path");
	$filename = $path."detail.php";
	
	if ($playerid) {
		// TEMPLATE LADEN
		if (!isset($_GET['load'])) {
			eval ("\$template = \"".$tpl->template("detail")."\";");
			die($template);
		}
		
		// DATEN LADEN
		else {
			$stats = new Stats($playerid);
			
			$c=curl_init($stats->get('player', 'url'));
			curl_setopt($c,CURLOPT_HEADER,false);
			curl_setopt($c,CURLOPT_RETURNTRANSFER,true);
			$result = curl_exec($c);
			$statuscode = curl_getinfo($c,CURLINFO_HTTP_CODE);
			curl_close($c);
			
			if ($statuscode == 200) {
				$page = phpQuery::newDocumentHTML($result);
				
				// Unerwnschte Elemente entfernen
				$page->find('.head_navi2')->remove();
				$page->find('#playerhead')->remove();
				$page->find('script')->remove();
				$page->find('#options')->remove();
				$page->find('#content > div > h1:last-child')->remove();
				$page->find('#content > div > div:last-child')->remove();
				$page->find('#content > *:last-child')->remove();
				$page->find('#content > *:last-child')->remove();
				$page->find('.col_right > h1:first-child')->remove();
				$page->find('.col_right > div:first-child')->remove();
				$page->find('colgroup')->remove();
				
				$page = pq('#content');
				$page->find('table')->attr("class", "sort");
				$page->find('a')->removeAttr("href");
				
				$html = $page->__toString();
			} else {
				$html = "Error: No connection to crysis3s.com";
			}
		}
	} else {
		$html = "ERROR: No playerid given";
	}
	
	die (json_encode(array(
		"html" => $html
	)));
?>